A puppet manifest to install ElasticSearch as a service
Puppet
Switch branches/tags
Nothing to show
Pull request Compare This branch is 3 commits ahead, 48 commits behind Aethylred:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
files
manifests
.gitignore
README.md

README.md

puppet-elasticsearch

================

Install elasticsearch service

REQUIREMENTS

  • Puppet >=2.6 if using parameterized classes
  • Currently supports CentOS6.2 and Amazon Linux AMI release 2012.03

Installation

Clone or submodule this repository into:

/etc/puppet/modules/elasticsearch

Invocation

To install on a node:

include elasticsearch

or with parameters:

class{elasticsearch: $version => "0.19.4", $install_root => "/opt" }

References